## org.apache.ivy.plugins.parser.xml
Interface XmlModuleDescriptorUpdater.ItemPrinter

All Known Implementing Classes:
  XmlModuleDescriptorUpdater.ConfigurationPrinter, XmlModuleDescriptorUpdater.DependencyPrinter

Enclosing class:
  XmlModuleDescriptorUpdater

    protected static interface XmlModuleDescriptorUpdater.ItemPrinter

Prints a descriptor item's XML representation

Method Summary
`void` `print(ModuleDescriptor parent, java.lang.Object item, java.io.PrintWriter out)` Print an XML representation of `item` to `out`.

Method Detail

### print

    void print(ModuleDescriptor parent,
               java.lang.Object item,
               java.io.PrintWriter out)

  Print an XML representation of `item` to `out`.

  Parameters:
    `parent` - the module descriptor containing `item`
    `item` - subcomponent of the descriptor, for example a `DependencyDescriptor` or `Configuration`